## lua-nginx-websocket 0.05

=== Makefile ===
OPENRESTY_PREFIX=/usr/local/openresty

PREFIX ?=          /usr/local
LUA_INCLUDE_DIR ?= $(PREFIX)/include
LUA_LIB_DIR ?=     $(PREFIX)/lib/lua/$(LUA_VERSION)
INSTALL ?= install

.PHONY: all test install

all: ;

install: all
	$(INSTALL) -d $(DESTDIR)/$(LUA_LIB_DIR)/resty/websocket
	$(INSTALL) lib/resty/websocket/*.lua $(DESTDIR)/$(LUA_LIB_DIR)/resty/websocket/

test: all
	PATH=$(OPENRESTY_PREFIX)/nginx/sbin:$$PATH prove -I../test-nginx/lib -r t

## lua-nginx-websocket 0.04

=== debian/changelog ===
lua-nginx-websocket (0.04-1) unstable; urgency=low

  * Initial release. (Closes: #757158)

 -- Laurent Arnoud <laurent@spkdev.net>  Tue, 05 Aug 2014 21:09:10 +0200

=== debian/control ===
Source: lua-nginx-websocket
Section: interpreters
Priority: optional
Maintainer: Laurent Arnoud <laurent@spkdev.net>
Build-Depends: debhelper (>= 9), dh-lua
Standards-Version: 3.9.5
Homepage: https://github.com/openresty/lua-resty-websocket

Package: lua-nginx-websocket
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, nginx-extras, lua-bitop
Description: Lua websocket client driver for the nginx embedded Lua language
 This modules provides a pure Lua websocket driver implementation for the
 embedded nginx's Lua interpreter.
 .
 Because this module is based on the ngx_lua's cosocket API, it inherits
 the advantage of a real nonblocking behaviour running effectively on the
 underlying nginx server ultra-fast technology design, allowing Web
 developers making use of the Lua programming language to script and
 construct extremely high-performance web applications capable to handle
 10K+ connections.
 . 
 Note that this module works for both nginx (provided by nginx-extras)
 and the OpenResty bundle.

## lua-nginx-websocket 0.05

=== debian/changelog ===
lua-nginx-websocket (0.05-1) unstable; urgency=medium

  * Imported Upstream version 0.05.
  * debian/control: Added Vcs tags.
  * debian/control: Remove unrequired dependency on lua-bitop.
  * debian/control: Update Standards-Version to 3.9.6.
  * debian/copyright: Fix invalid short name in dep5.

 -- Laurent Arnoud <laurent@spkdev.net>  Fri, 23 Jan 2015 16:30:12 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Priority: optional
 Maintainer: Laurent Arnoud <laurent@spkdev.net>
 Build-Depends: debhelper (>= 9), dh-lua
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/openresty/lua-resty-websocket
+Vcs-Git: git://anonscm.debian.org/collab-maint/lua-nginx-websocket.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/lua-nginx-websocket.git
 
 Package: lua-nginx-websocket
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, nginx-extras, lua-bitop
+Depends: ${shlibs:Depends}, ${misc:Depends}, nginx-extras
 Description: Lua websocket client driver for the nginx embedded Lua language
  This modules provides a pure Lua websocket driver implementation for the
  embedded nginx's Lua interpreter.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=lua --with lua

override_dh_installchangelogs:
	    dh_installchangelogs debian/changelog.upstream

=== debian/watch ===
version=3
opts="versionmangle=s/.*v(.*)/$1/" \
    http://githubredir.debian.net/github/openresty/lua-resty-websocket/(.*).tar.gz

## lua-nginx-websocket 0.06

=== debian/changelog ===
lua-nginx-websocket (0.06-1) unstable; urgency=medium

  * Imported Upstream version 0.06.
  * debian/watch: Use github tags' tarballs paths. 

 -- Laurent Arnoud <laurent@spkdev.net>  Thu, 08 Dec 2016 20:15:13 +0100

=== debian/watch ===
version=3
https://github.com/openresty/lua-resty-websocket/tags .*/archive/v(\d\S*)\.tar\.gz

## lua-nginx-websocket 0.08

=== debian/changelog ===
lua-nginx-websocket (0.08-1) unstable; urgency=medium

  * Update uscan watch to detect rc.
  * New upstream version 0.08.
  * Remove trailing white space.

 -- Laurent Arnoud <laurent@spkdev.net>  Wed, 13 Jan 2021 20:38:24 +0100

lua-nginx-websocket (0.07-1) unstable; urgency=medium

  * debian/control: Update Standards-Version to 3.9.8.
  * New upstream version 0.07.
  * debian/control: Update Standards-Version to 4.5.0.
  * debian/control: Set debhelper-compat to version 12.
  * debian/control: Update Vcs tags.

 -- Laurent Arnoud <laurent@spkdev.net>  Mon, 12 Oct 2020 12:04:16 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: interpreters
 Priority: optional
 Maintainer: Laurent Arnoud <laurent@spkdev.net>
-Build-Depends: debhelper (>= 9), dh-lua
-Standards-Version: 3.9.6
+Build-Depends: debhelper-compat (= 12), dh-lua
+Standards-Version: 4.5.0
 Homepage: https://github.com/openresty/lua-resty-websocket
-Vcs-Git: git://anonscm.debian.org/collab-maint/lua-nginx-websocket.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/lua-nginx-websocket.git
+Vcs-Git: https://salsa.debian.org/spk-guest/lua-nginx-websocket.git
+Vcs-Browser: https://salsa.debian.org/spk-guest/lua-nginx-websocket
 
 Package: lua-nginx-websocket
 Architecture: all
@@ -21,6 +21,6 @@
  developers making use of the Lua programming language to script and
  construct extremely high-performance web applications capable to handle
  10K+ connections.
- . 
+ .
  Note that this module works for both nginx (provided by nginx-extras)
  and the OpenResty bundle.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/@PACKAGE@-$1\.tar\.gz/,uversionmangle=s/(\d)[_\.\-\+]?((alpha|beta|rc)\d*)$/$1~$2/ \
	  https://github.com/openresty/lua-resty-websocket/tags .*/v?(\d\S+)\.tar\.gz \
	  debian

## lua-nginx-websocket 0.13

=== debian/control ===
Source: lua-nginx-websocket
Section: interpreters
Priority: optional
Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
Uploaders: Laurent Arnoud <laurent@spkdev.net>
Build-Depends: debhelper-compat (= 13), dh-lua
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/openresty/lua-resty-websocket
Vcs-Git: https://salsa.debian.org/lua-team/lua-nginx-websocket.git
Vcs-Browser: https://salsa.debian.org/lua-team/lua-nginx-websocket

Package: lua-nginx-websocket
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libnginx-mod-http-lua
Description: Lua websocket client driver for the nginx embedded Lua language
 This modules provides a pure Lua websocket driver implementation for the
 embedded nginx's Lua interpreter.

=== debian/watch ===
version=4
opts=\
filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
uversionmangle=s/(\d)[_\.\-\+]?((alpha|beta|rc)\d*)$/$1~$2/,\
downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g,\
searchmode=plain \
https://api.github.com/repos/openresty/lua-resty-websocket/git/matching-refs/tags/ \
https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
